升級 Telligent Community 注意事項

Wednesday, 1 July 2009 20:00 by admin

如果您有計畫要升級到 Telligent Community ,那您可能要注意一些事項

1. 系統需求不一樣

Tellignet Community 需要 .Net Framework 3.5 ( ASP.Net 3.5 ),而非 CommunityServer 的 ASP.Net 2.0
MSSQL 必須要 2005 以上 ( 2005/2008 ) ,同 CommunityServer 2008.5 SP2 的需求

2. 預設主題為 Fiji

在 CommunityServer 2008 上,預設主題是 Hawaii ,Telligent Community 並沒有提供 Hawaii 主題

3. 網站架構的變化

在以往的 CommunityServer 上,是以往站本體為核心,Group 只是裡面的一個小成員,但 Telligent Community 則是由 Group 作為區分
舉個範例,以往您的網站架構應該為此

+ Homepage
  + Forum
  + Blog
  + Media
  + Wiki
+ Groups
  + Group 1 ( Product A )
    + Forum
    + Wiki
  + Group 2 ( Product B )
    + Forum
    + Wiki

但在 Telligent Community 上,則沒了主體架構,都是以 Group 為主體,架構會變成

+ Homepage
  + Group 1 ( Product A )
    + Forum
    + Wiki
  + Group 2 ( Product B )
    + Forum
    + Wiki

所以原本的主體的 forum wiki blog 等等,您必須找個 Group 放置進去

4. 授權的改變

目前 Telligent 並沒有提供 Express Version 的授權,在沒有任何的授權下,Telligent Community 只能在 localhost 上執行,這點和 CommunityServer 上有很大的差異

Pingbacks and trackbacks (2)+